Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.jms
Class InvalidSelectorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  javax.jms.InvalidSelectorException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  InvalidSelectorException

    public class InvalidSelectorException

extends JMSException

This exception must be thrown when a JMS client attempts to give a provider a message selector with invalid syntax.

See Also:
  Serialized Form

Constructor Summary
`InvalidSelectorException(String reason)` Constructs an `InvalidSelectorException` with the specified reason.
`InvalidSelectorException(String reason, String errorCode)` Constructs an `InvalidSelectorException` with the specified reason and error code.

Method Summary

Methods inherited from class javax.jms.JMSException
`getErrorCode, getLinkedException, setLinkedException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### InvalidSelectorException

    public InvalidSelectorException(String reason,
                                    String errorCode)

  Constructs an `InvalidSelectorException` with the specified reason and error code.

  Parameters:
    `reason` - a description of the exception
    `errorCode` - a string specifying the vendor-specific error code

### InvalidSelectorException

    public InvalidSelectorException(String reason)

  Constructs an `InvalidSelectorException` with the specified reason. The error code defaults to null.

  Parameters:
    `reason` - a description of the exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun GlassFish(tm) Message Queue v4.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2009 Sun Microsystems, Inc. 4150 Network Circle,
Santa Clara, California, 95054, U.S.A. All Rights Reserved.